# Class ScalarDataNode

java.lang.Object
uk.ac.starlink.datanode.nodes.DefaultDataNode
uk.ac.starlink.datanode.nodes.ScalarDataNode

All Implemented Interfaces:
  `DataNode`

public class ScalarDataNode extends DefaultDataNode
Simple DataNode for representing scalar values.

## Constructor Summary

Constructors
Constructor
Description
`ScalarDataNode(String name, String type, String value)`
Constructs a ScalarDataNode with a given name and value.

## Method Summary

Modifier and Type
Method
Description
`void`
`configureDetail(DetailViewer dv)`
No custom configuration is performed.
`String`
`getDescription()`
Gets a concise description of this object.
`String`
`getNodeTLA()`
The `DefaultDataNode` implementation returns the string "...".
`String`
`nodeType()`

### Methods inherited from class DefaultDataNode

`allowsChildren, beep, getChildIterator, getChildMaker, getCreator, getDataObject, getIcon, getLabel, getName, getNodeType, getParentObject, getPathElement, getPathSeparator, hasDataObject, makeChild, makeErrorChild, registerDataObject, setChildMaker, setCreator, setDescription, setIconID, setLabel, setName, setParentObject, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ScalarDataNode

public ScalarDataNode(String name, String type, String value)
Constructs a ScalarDataNode with a given name and value.

## Method Details

### getDescription

public String getDescription()
Description copied from interface: `DataNode`
Gets a concise description of this object. The form of the description will depend on the type of node, but it might detail the shape or type of data represented, or otherwise give some information additional to the name. It should not include the return value of the `getName` method, since they may be presented together. It should be on one line, and preferably no longer than around 70 characters. The `null` value may be returned if there is nothing to say.

Specified by:
  `getDescription` in interface `DataNode`
Overrides:
  `getDescription` in class `DefaultDataNode`
Returns:
  a short string describing this object

### getNodeTLA

public String getNodeTLA()
Description copied from class: `DefaultDataNode`
The `DefaultDataNode` implementation returns the string "...".

Specified by:
  `getNodeTLA` in interface `DataNode`
Overrides:
  `getNodeTLA` in class `DefaultDataNode`
Returns:
  "..."

### nodeType

public String nodeType()

### configureDetail

public void configureDetail(DetailViewer dv)
Description copied from class: `DefaultDataNode`
No custom configuration is performed.

Specified by:
  `configureDetail` in interface `DataNode`
Overrides:
  `configureDetail` in class `DefaultDataNode`
Parameters:
  `dv` - the detail viewer which this node is given an opportunity to configure